## org.eclipse.jst.jsf.core.jsflibraryconfiguration
Interface JSFLibraryReferenceUserDefined

All Superinterfaces:
  JSFLibraryReference

All Known Subinterfaces:
  JSFLibraryReferencePluginProvided

Deprecated. use JSFLibraryReferenceUserSpecified

    public interface JSFLibraryReferenceUserDefined

extends JSFLibraryReference

Represents an reference to a user specified JSF Library

Method Summary

Methods inherited from interface org.eclipse.jst.jsf.core.jsflibraryconfiguration.JSFLibraryReference
`getId, getJars, getLabel, getMaxSupportedVersion, getName, isDeployed, isJSFImplementation`